Subject: Re: bug#73117: 30.0.90; Imenu missing entries when flattening by group

From: Troy Brown <[email-masked]>
Date: Sun, 15 Sep 2024 11:58:53 -0400

On Sun, Sep 8, 2024 at 3:25 PM Troy Brown <[email-masked]> wrote:
>
> It appears to be this line in `completion--insert-horizontal` which is
> causing all the trouble.  When I comment that out, I get the output
> I'm expecting.  Looking at the difference between
> `completion--insert-horizontal` and `completion--insert-vertical`,
> that check happens after the check for `group-fun`.  Maybe
> `completion--insert-horizontal` should be restructured similarly?
>
> ```elisp
>       (unless (equal last-string str) ; Remove (consecutive) duplicates.
> ```

Daniel, any thoughts on my comment above?

It appears completion--insert-horizontal incorrectly filters
consecutive strings when they belong to different groups.  From what I
can tell, it appears completion--insert-horizontal does support
groups, but just displays them vertically.  However, it does contain
the above problem.  I also notice this issue coming through in my use
of consult-imenu.